Audiokinetic's Community Q&A is the forum where Wwise users ask and answer questions within the Wwise community. If you would like to get an answer from Audiokinetic's Technical support team, make sure you use the Support Tickets page. Support for Strata library starts on our Community Q&A.

UE5.1 Support - Wwise Roadmap

+4 votes
We are currently working on adapting our Wwise Unreal integration to the changes introduced in version 5.1 of the engine. We are planning to have completed this work in the coming weeks to introduce official support for the new version of Unreal in Wwise 2022.1.1 and Wwise 2021.1.12. Exact release dates are no yet set for these versions, they are currently aimed at January 2023. Update to our roadmap will be published here.
asked Nov 3, 2022 in General Discussion by Guillaume R. (Audiokinetic) (5,260 points)

4 Answers

+5 votes
Is it possible to get access to pre-release code, waiting until January would add significant delays to our schedule.
answered Nov 4, 2022 by Jacques L. (250 points)
Agree with Jacques, having access to a pre-release version would be great to avoid any additional delay.

Thanks
I too agree, the long-awaited UE5.1 fixes a big bulk of bugs for users coming from earlier UE5 builds, enough that migrating to 5.1 is an almost-immediate step for many.
I fully agree, we are in the same boat and would also like to get access to a pre-release version if possible.
While we wait for integration code that works with 5.1, is there a way to temporarily disable Wwise in the project, without having to manually strip out all usages, so projects can be compiled? It'd be nice if there was a way to enable this functionality with an abstraction layer that isn't as prone to incompatibility with future Unreal Engine versions. The abstraction layer could just default to not playing or doing anything as long as it compiles, and its entirety can perhaps be toggled with a compiler directive switch.
+7 votes
 
Best answer

Wwise 2021.1.11 Status

Now that we had the chance to see the official Unreal Engine 5.1 changes, we have updated our plans for the Wwise 2021.1.x branch. We are planning to release the Wwise 2021.1.11 Unreal integration code with experimental support for UE5.1 on November 28 2022.

November 28th Update:

Testing is almost finished but not completed, we are now planning to release Wwise 2021.1.11 on November 29th 2021.1.11 via the Launcher

We apologize for the inconvenience, your patience is appreciated.

November 30th Update:

The 2021.1.11 version has preliminary support for Unreal 5.1 but you will need to manually install the Integration plug-in with the offline file to have a working Wwise 21.1.11 with UE5.1. Also, the 21.1.11 Unreal integration does not currently work with 5.1 on Mac, as there’s an Unreal bug that prevents us from supporting it. That bug also makes it impossible for us to support integrating with the Launcher.

To manually integrate Wwise 2021.1.11 into a UE5.1 project on a Windows system, follow the instructions described in the "Installing the Wwise Unreal Integration as an Engine Plug-in" section of the Wwise Unreal Integration Installation page: https://www.audiokinetic.com/en/library/edge/?source=UE4&id=installation.html.

We have reached out to Epic to get the Mac bug resolved ASAP.

answered Nov 18, 2022 by Guillaume R. (Audiokinetic) (5,260 points)
edited Nov 30, 2022 by Guillaume R. (Audiokinetic)
That sounds really nice. Thank you very much!
I have interest too for this. Will we need an invite to get access to this on the Wwise Launcher, or will it be available to everyone?
It will be available to everyone Stéphane.
Is the AudioLink for Wwise - UE5 included in that update?
Where can we find the new version? Should we be able to find it inside the normal Audiokinetic Launcher > Wwise tab?

E: Thanks for the update!
What about Wwise 2022.1 with Unreal 5.1 support?

When will this be released?
Hello!

Can you please confirm the version number that includes 5.1 Support?

2021.1.11.2437 has compile errors for us throughout.

Thanks!
Hi! Also having compile errors in 5.1 here. Installing as engine plugin didn't  work. UE does not see wwise plugin (same for both 5.0.3 and 5.1).  wwise version 2021.1.11. any help appreciated. Thanks!
>>We have reached out to Epic to get the Mac bug resolved ASAP.
Is the bug submitted to https://issues.unrealengine.com/ ? If not, do you have internal info regarding the timeframe for this fix?
+3 votes

Wwise 2022.1.0.8070 - UE5.1 Workaround

Until Wwise 2022.1.2 becomes available, it is possible to use Wwise 2022.1.0.8070 in a UE5.1 project if you are willing to perform a manual installation. A manual installation consists in following the steps described in the "Installing the Wwise Unreal Integration as an Engine Plug-in" section of the Wwise Unreal Integration Installation page: https://www.audiokinetic.com/en/library/edge/?source=UE4&id=installation.html. It can be used to update a project that uses Wwise as a game plug-in by replacing the path to the engine installation with the path to the project.

Once you have completed step 2 e: "If your project will be deployed on other platforms that have a folder in the SDK source folder, you must copy those folders (which contain the platform's libraries) to the ThirdParty folder as well."; you also have to manually edit the \Plugins\Wwise\Wwise.uplugin file to set the value for "EngineVersion" to "5.1".

There will be compilation errors when you attempt to open the project with UE5.1 similar to:
error C4668: 'PLATFORM_PS4' is not defined as a preprocessor macro, replacing with '0' for '#if/#elif'

To fix this error, open the related source file and change 
#if PLATFORM_PS4
to 
#if defined(PLATFORM_PS4)

(The same strategy should be used for errors related to PLATFORM_XBOXONE)

answered Nov 29, 2022 by Guillaume R. (Audiokinetic) (5,260 points)
edited Jan 5 by Adrien L. (Audiokinetic)
Is audio link testable?
Tried to migrate a project  from Unreal 4.25 to Unreal 5.1. Install and opening the project worked but some audio didn't work. Tried to open it with Unreal 5.0 and worked smoothly
On our project we had to add PrivatePCHHeaderFile = "Private/AkAudioPCH.h"; to /Source/WwiseSoundEngine/WwiseSoundEngine.Build.cs to fix up some build errors we were seeing with Wwise 2022 and Unreal 5.1
missing modules for unreal 5.1 integration
–1 vote

Wwise 2022.1.1.8100 - UE5.1 update

UE5.1 builds with this version of the Unreal Wwise integration. However, it is still not available from the Wwise Launcher. It must be installed manually. See 2022.1.0 UE5.1 Workaround in this thread for instructions.

This version includes experimental support for AudioLink.

Release notes for the Unreal integration are here: https://www.audiokinetic.com/en/library/edge/?source=UE4&id=releasenotes.html

 

answered Jan 5 by Adrien L. (Audiokinetic) (1,090 points)
edited Jan 5 by Adrien L. (Audiokinetic)
Hello ! Just tried installing the plugin for 2022.1.1.8100 and I have several errors like this :
"Unable to determine UHT module type for F:\UnrealEngine\Engine\Plugins\Wwise\Source\WwiseSoundEngine_2022_1\WwiseSoundEngine_2022_1.Build.cs"

Adding the module in the Wwise.uplugin  "Modules" list seems to fix it but several others like this appear after.

{
    "Name": "WwiseSoundEngine_2022_1",
    "Type": "Runtime",
    "LoadingPhase": "None"
},
Hello Alexandre, for me to have it work, I had to add an entry in Wwise.uplugin for all projects that were in the "Source" folder that did not have one. I ended up adding all the following for it to work:

{
            "Name": "WwiseSoundEngine_2022_1",
            "Type": "Runtime",
            "LoadingPhase": "None"
        },
        {
            "Name": "AkAudioMixer",
            "Type": "Runtime",
            "LoadingPhase": "None"
        },
        {
            "Name": "WwiseAudioLinkRuntime",
            "Type": "Runtime",
            "LoadingPhase": "None"
        },
        {
            "Name": "WwiseAudioLinkEditor",
            "Type": "Editor",
            "LoadingPhase": "None"
        }
I tried to do the "workaround" for Wwise 2022.1.18100 and Unreal 5.1 integration, however when I try to launch Unreal Engine 5.1 it gives me the following error: "Plugin 'Wwise' failed to load because module 'Wwise' could not be found. Please ensure the plugin is properly installed, otherwise consider disabling the plugin for this project." And a similar error occurs when I try to launch it from the Audiokinetic Launcher: "The following modules are missing or built with a different engine version:
Wwise
AkAudio
AudiokineticTools
[...]

Engine modules cannot be compiled at runtime. Please build through your IDE"

I have followed every step in the "Wwise 2022.1.0.8070 - UE5.1 Workaround" thread, but it does not seem to work. Please help
I am experiencing the same problem
...